FROM node:lts-alpine

WORKDIR /app
RUN npm install -g @angular/cli http-server
COPY app/package*.json ./
RUN npm install
COPY app/ .

RUN npm run build

EXPOSE 4200

CMD [ "npm", "run", "ng", "serve", "--", "--host", "0.0.0.0", "--disable-host-check" ]
